Arch Building/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(22 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>

{{Docnav
|[[Arch_Site|Site]]
|[[Arch_Floor|Floor]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Site.svg
|IconR=Arch_Floor.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Arch Building|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Building|Shortcut=B U|SeeAlso=[[Arch Cell/sv]]}}
{{GuiCommand/sv|Name=Arch Building|Name/sv=Arch Building|Workbenches=[[Arch_Workbench/sv|Arch]]|MenuLocation=Arch Building|Shortcut=B U|SeeAlso=}}
</div>
</div>


==Beskrivning==
==Beskrivning==


Byggnad är en speciell typ av [[Arch Cell/sv|Cell]] som är tänkt att innehålla en komplett byggnadsenhet. För närvarande är den enda skillnaden att den har en annan ikon.
Byggnad är en speciell typ av FreeCAD group objekt som är tänkt att innehålla en komplett byggnadsenhet. För närvarande är den enda skillnaden att den har en annan ikon.


==How to use==
==Usage==


# Optionally, select one or more objects to be included in your new building
# Optionally, select one or more objects to be included in your new building.
# Press the {{KEY|[[Image:Arch Building.png|16px]] '''Arch Building'''}} button, or press the {{KEY|B}} then {{KEY|U}} keys
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building|Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.


==Options==
==Options==


* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC Type}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.

==Properties==

* {{PropertyData|Building Type}}: The type of this building, to choose from a list


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Building tool can by used in [[macros]] and from the python console by using the following function:
The Building tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
makeBuilding ([objectslist])
}}
}}

creates a building including the objects from the given list.
* Creates a {{incode|Building}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}}.


Example:
Example:

{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeBuilding()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
}}



<languages/>
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_BuildingPart|Building Part]]|[[Arch_Site|Site]]|[[Arch_Workbench/sv|Arch]]|IconL=Arch_BuildingPart.svg |IconC=Workbench_Arch.svg |IconR=Arch_Site.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 13:51, 9 March 2022

Arch Building

Menyplacering
Arch → Building
Arbetsbänkar
Arch
Standard genväg
B U
Introducerad i version
-
Se även
Ingen

Beskrivning

Byggnad är en speciell typ av FreeCAD group objekt som är tänkt att innehålla en komplett byggnadsenhet. För närvarande är den enda skillnaden att den har en annan ikon.

Usage

  1. Optionally, select one or more objects to be included in your new building.
  2. Press the Arch Building button, or press the B then U keys.

Options

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its DataIFC Type property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

  • DataBuilding Type: The type of this building, to choose from a list

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()